import ajax from '../utils/request.js';

/**
 * 登录
 * @param {object} ori 
 * @returns 
 */
export function login(ori) {
    return ajax({
        api: "/user/login",
        data: ori.data,
        method: 'POST',
    })
}

/**
 * 文案校对
 * @param {object} ori 
 * @returns 
 */
export function check(ori) {
    return ajax({
        api: "/api/check",
        data: ori.data,
        method: 'POST',
        headers: {
            Authorization: localStorage.getItem("token")
        }
    })
}

/**
 * 热门话题
 * @param {object} ori 
 * @returns 
 */
export function hotRank(ori){
    return ajax({
        api: "/news/hotRank/list",
        data: ori.data,
        method: 'POST',
        headers: {
            Authorization: localStorage.getItem("token")
        }
    })
}

/**
 * 
 * @param {object} ori 
 * @returns 
 */
export function searchData(ori){
    return ajax({
        api: "/news/data/search",
        data: ori.data,
        method: 'POST',
        headers: {
            Authorization: localStorage.getItem("token")
        }
    })
}